Skip to main content
Web Services

Returns quote pdf for a saved quote

Get a Quote PDF.

GET
/web-services/qt/quotes/getQuote/pdf

This method requires the WebServices permission to be associated with your role.

This API invokes the legacy getQuote web service. Note, this endpoint will be deprecated once a full service replacement has been developed.

This service returns the PDF for a saved quote.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
quote_idstringqueryrequired

Quote Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/pdf

Success

bodystring